Ogre3d version

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Ogre3d version

ximengzhu
Hello all,
I found that the ogre3d required version is now (gazebo release 7851) 1.6.1. I have installed version 1.6.2 so the check does not go well. I've found also that the gazebo/cmake/SearchForStuf.cmake file requires exactly version 1.6.1, however I have modified the file and put:
  pkg_check_modules(OGRE OGRE>=${OGRE_VERSION})
instead of
  pkg_check_modules(OGRE OGRE=${OGRE_VERSION})
in line 21 of gazebo/cmake/SearchForStuf.cmake and the compilation went well.

Is there a reason for the exclusion of newer version of ogre3d, or maybe there is a bug in the file?
Thanks,
XimengZhu
Reply | Threaded
Open this post in threaded view
|

Re: Ogre3d version

John Hsu-2
the reason we didn't use 1.6.2 is because of the following bug:

http://www.ogre3d.org/forums/viewtopic.php?f=2&t=50092

otherwise, I think 1.6.2 works fine with gazebo.

John


On Tue, Jun 16, 2009 at 10:48 AM, ximengzhu <[hidden email]> wrote:

>
> Hello all,
> I found that the ogre3d required version is now (gazebo release 7851)
> 1.6.1.
> I have installed version 1.6.2 so the check does not go well. I've found
> also that the gazebo/cmake/SearchForStuf.cmake file requires exactly
> version
> 1.6.1, however I have modified the file and put:
>  pkg_check_modules(OGRE OGRE>=${OGRE_VERSION})
> instead of
>  pkg_check_modules(OGRE OGRE=${OGRE_VERSION})
> in line 21 of gazebo/cmake/SearchForStuf.cmake and the compilation went
> well.
>
> Is there a reason for the exclusion of newer version of ogre3d, or maybe
> there is a bug in the file?
> Thanks,
> XimengZhu
> --
> View this message in context:
> http://www.nabble.com/Ogre3d-version-tp24059450p24059450.html
> Sent from the playerstage-gazebo mailing list archive at Nabble.com.
>
>
>
> ------------------------------------------------------------------------------
> Are you an open source citizen? Join us for the Open Source Bridge
> conference!
> Portland, OR, June 17-19. Two days of sessions, one day of unconference:
> $250.
> Need another reason to go? 24-hour hacker lounge. Register today!
>
> http://ad.doubleclick.net/clk;215844324;13503038;v?http://opensourcebridge.org
> _______________________________________________
> Playerstage-gazebo mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/playerstage-gazebo
>
------------------------------------------------------------------------------
_______________________________________________
Playerstage-gazebo mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/playerstage-gazebo
Reply | Threaded
Open this post in threaded view
|

Re: Ogre3d version

Jordi Polo Carrés
In reply to this post by ximengzhu
changed. Thanks

On Wed, Jun 17, 2009 at 2:48 AM, ximengzhu <[hidden email]> wrote:

>
> Hello all,
> I found that the ogre3d required version is now (gazebo release 7851)
> 1.6.1.
> I have installed version 1.6.2 so the check does not go well. I've found
> also that the gazebo/cmake/SearchForStuf.cmake file requires exactly
> version
> 1.6.1, however I have modified the file and put:
>  pkg_check_modules(OGRE OGRE>=${OGRE_VERSION})
> instead of
>  pkg_check_modules(OGRE OGRE=${OGRE_VERSION})
> in line 21 of gazebo/cmake/SearchForStuf.cmake and the compilation went
> well.
>
> Is there a reason for the exclusion of newer version of ogre3d, or maybe
> there is a bug in the file?
> Thanks,
> XimengZhu
> --
> View this message in context:
> http://www.nabble.com/Ogre3d-version-tp24059450p24059450.html
> Sent from the playerstage-gazebo mailing list archive at Nabble.com.
>
>
>
> ------------------------------------------------------------------------------
> Are you an open source citizen? Join us for the Open Source Bridge
> conference!
> Portland, OR, June 17-19. Two days of sessions, one day of unconference:
> $250.
> Need another reason to go? 24-hour hacker lounge. Register today!
>
> http://ad.doubleclick.net/clk;215844324;13503038;v?http://opensourcebridge.org
> _______________________________________________
> Playerstage-gazebo mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/playerstage-gazebo
>



--
Jordi Polo Carres
NLP laboratory - NAIST
http://www.bahasara.org
------------------------------------------------------------------------------
_______________________________________________
Playerstage-gazebo mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/playerstage-gazebo
Reply | Threaded
Open this post in threaded view
|

Re: Ogre3d version

John Hsu-2
Hi Jordi,
can we make the requirement >= 1.6.1?  due to the bug in 1.6.2 we are not
ready to switch to it yet, but the >= should allow those running 1.6.2.
thanks,
John

On Mon, Jun 22, 2009 at 3:33 PM, Jordi Polo <[hidden email]> wrote:

> changed. Thanks
>
> On Wed, Jun 17, 2009 at 2:48 AM, ximengzhu <[hidden email]> wrote:
>
> >
> > Hello all,
> > I found that the ogre3d required version is now (gazebo release 7851)
> > 1.6.1.
> > I have installed version 1.6.2 so the check does not go well. I've found
> > also that the gazebo/cmake/SearchForStuf.cmake file requires exactly
> > version
> > 1.6.1, however I have modified the file and put:
> >  pkg_check_modules(OGRE OGRE>=${OGRE_VERSION})
> > instead of
> >  pkg_check_modules(OGRE OGRE=${OGRE_VERSION})
> > in line 21 of gazebo/cmake/SearchForStuf.cmake and the compilation went
> > well.
> >
> > Is there a reason for the exclusion of newer version of ogre3d, or maybe
> > there is a bug in the file?
> > Thanks,
> > XimengZhu
> > --
> > View this message in context:
> > http://www.nabble.com/Ogre3d-version-tp24059450p24059450.html
> > Sent from the playerstage-gazebo mailing list archive at Nabble.com.
> >
> >
> >
> >
> ------------------------------------------------------------------------------
> > Are you an open source citizen? Join us for the Open Source Bridge
> > conference!
> > Portland, OR, June 17-19. Two days of sessions, one day of unconference:
> > $250.
> > Need another reason to go? 24-hour hacker lounge. Register today!
> >
> >
> http://ad.doubleclick.net/clk;215844324;13503038;v?http://opensourcebridge.org
> > _______________________________________________
> > Playerstage-gazebo mailing list
> > [hidden email]
> > https://lists.sourceforge.net/lists/listinfo/playerstage-gazebo
> >
>
>
>
> --
> Jordi Polo Carres
> NLP laboratory - NAIST
> http://www.bahasara.org
>
> ------------------------------------------------------------------------------
> _______________________________________________
> Playerstage-gazebo mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/playerstage-gazebo
>
------------------------------------------------------------------------------
_______________________________________________
Playerstage-gazebo mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/playerstage-gazebo
Reply | Threaded
Open this post in threaded view
|

Re: Ogre3d version

Toby Collett-3
this should already be the case in SVN trunk,

Toby

2009/6/25 John Hsu <[hidden email]>

> Hi Jordi,
> can we make the requirement >= 1.6.1?  due to the bug in 1.6.2 we are not
> ready to switch to it yet, but the >= should allow those running 1.6.2.
> thanks,
> John
>
> On Mon, Jun 22, 2009 at 3:33 PM, Jordi Polo <[hidden email]> wrote:
>
> > changed. Thanks
> >
> > On Wed, Jun 17, 2009 at 2:48 AM, ximengzhu <[hidden email]> wrote:
> >
> > >
> > > Hello all,
> > > I found that the ogre3d required version is now (gazebo release 7851)
> > > 1.6.1.
> > > I have installed version 1.6.2 so the check does not go well. I've
> found
> > > also that the gazebo/cmake/SearchForStuf.cmake file requires exactly
> > > version
> > > 1.6.1, however I have modified the file and put:
> > >  pkg_check_modules(OGRE OGRE>=${OGRE_VERSION})
> > > instead of
> > >  pkg_check_modules(OGRE OGRE=${OGRE_VERSION})
> > > in line 21 of gazebo/cmake/SearchForStuf.cmake and the compilation went
> > > well.
> > >
> > > Is there a reason for the exclusion of newer version of ogre3d, or
> maybe
> > > there is a bug in the file?
> > > Thanks,
> > > XimengZhu
> > > --
> > > View this message in context:
> > > http://www.nabble.com/Ogre3d-version-tp24059450p24059450.html
> > > Sent from the playerstage-gazebo mailing list archive at Nabble.com.
> > >
> > >
> > >
> > >
> >
> ------------------------------------------------------------------------------
> > > Are you an open source citizen? Join us for the Open Source Bridge
> > > conference!
> > > Portland, OR, June 17-19. Two days of sessions, one day of
> unconference:
> > > $250.
> > > Need another reason to go? 24-hour hacker lounge. Register today!
> > >
> > >
> >
> http://ad.doubleclick.net/clk;215844324;13503038;v?http://opensourcebridge.org
> > > _______________________________________________
> > > Playerstage-gazebo mailing list
> > > [hidden email]
> > > https://lists.sourceforge.net/lists/listinfo/playerstage-gazebo
> > >
> >
> >
> >
> > --
> > Jordi Polo Carres
> > NLP laboratory - NAIST
> > http://www.bahasara.org
> >
> >
> ------------------------------------------------------------------------------
> > _______________________________________________
> > Playerstage-gazebo mailing list
> > [hidden email]
> > https://lists.sourceforge.net/lists/listinfo/playerstage-gazebo
> >
>
> ------------------------------------------------------------------------------
> _______________________________________________
> Playerstage-gazebo mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/playerstage-gazebo
>



--
This email is intended for the addressee only and may contain privileged
and/or confidential information
------------------------------------------------------------------------------
_______________________________________________
Playerstage-gazebo mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/playerstage-gazebo